#ifndef XFXSPAWNDEFONESHOT_H
#define XFXSPAWNDEFONESHOT_H

#include "xasset.h"
#include "xfxintrange.h"

class XFxSpawnDefOneShot : public XAsset
{
public:
    explicit XFxSpawnDefOneShot();
    ~XFxSpawnDefOneShot();

    void Clear() override;
    void ParseData(QDataStream *aStream) override;

private:
    XFxIntRange mCount;
};

#endif // XFXSPAWNDEFONESHOT_H
